Update a mapping
curl --request PATCH \
--url https://api.quiva.ai/gateway/{gateway_topic}/mapping/details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"path": "/api/users/v2",
"is_public": false,
"timeout": 60000,
"limit": {
"request": 1000,
"time": 1000
}
}
'import requests
url = "https://api.quiva.ai/gateway/{gateway_topic}/mapping/details"
payload = {
"path": "/api/users/v2",
"is_public": False,
"timeout": 60000,
"limit": {
"request": 1000,
"time": 1000
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
path: '/api/users/v2',
is_public: false,
timeout: 60000,
limit: {request: 1000, time: 1000}
})
};
fetch('https://api.quiva.ai/gateway/{gateway_topic}/mapping/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "success"
}{
"error": "Invalid request parameters"
}{
"error": "The requested resource does not exist"
}Mappings
Update a mapping
Updates an existing gateway mapping configuration.
PATCH
/
gateway
/
{gateway_topic}
/
mapping
/
details
Update a mapping
Authorizations
bearer_authapi_key_auth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique topic identifier of the gateway
Query Parameters
HTTP method for the mapping in uppercase
Available options:
GET, POST, PUT, DELETE, PATCH, OPTIONS, HEAD URL path for the mapping including the leading slash
Body
application/json
Updated URL path for the mapping
Example:
"/api/users/v2"
Whether the mapping is publicly accessible
Example:
false
Show child attributes
Show child attributes
Updated timeout in milliseconds for mapping requests
Example:
60000
Updated traffic distribution configuration for A/B testing
Show child attributes
Show child attributes
Example:
{ "1": 80, "2": 20 }
Response
Mapping updated successfully
Example:
"success"
⌘I